## alsamixer

alsamixer — Control sound input and output levels with ALSA

## Synopsis

    struct              GstAlsaMixerElement;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstAlsaMixerElement

## Implemented Interfaces

GstAlsaMixerElement implements GstImplementsInterface, GstMixer and GstPropertyProbe.

## Properties

      "device"                   gchar*                : Read / Write
      "device-name"              gchar*                : Read

## Description

## Synopsis

### Element Information

plugin | alsa
author | Leif Johnson <leif@ambient.2y.net>
class | Generic/Audio

### Element Pads

## Details

### struct GstAlsaMixerElement

    struct GstAlsaMixerElement;

## Property Details

### The `"device"` property

      "device"                   gchar*                : Read / Write

ALSA device, as defined in an asound configuration file.

Default value: "default"

### The `"device-name"` property

      "device-name"              gchar*                : Read

Human-readable name of the sound device.

Default value: ""